%{?nodejs_find_provides_and_requires}

%global packagename ansi-wrap
%global enable_tests 0
# Tests disabled because the author forgot to upload the test.js file
# See https://github.com/jonschlinkert/ansi-wrap/issues/2

Name:		nodejs-ansi-wrap
Version:	0.1.0
Release:	1%{?dist}
Summary:	Create ansi colors by passing the open and close codes

License:	MIT
URL:		https://github.com/jonschlinkert/ansi-wrap.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Create ansi colors by passing the open and close codes.


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Tue Feb  9 2016 Jared Smith <jsmith@fedoraproject.org> - 0.1.0-1
- Initial packaging
